export declare const getPreviousEnabled: (currentPage: number) => boolean;
export declare const getNextEnabled: (currentPage: number, totalPages: number) => boolean;
export declare const getTotalPages: (totalItems: number, pageSize: number) => number;
export declare const getStartIndex: (pageSize: number, currentPage: number) => number;
export declare const getEndIndex: (pageSize: number, currentPage: number, totalItems: number) => number;
export declare const limitPageBounds: (totalItems: number, pageSize: number) => (page: number) => number;
export declare type PaginationState = {
    totalItems: number;
    pageSize: number;
    currentPage: number;
};
export declare type PaginationMeta = {
    totalPages: number;
    startIndex: number;
    endIndex: number;
    previousEnabled: boolean;
    nextEnabled: boolean;
};
export declare const getPaginationMeta: ({ totalItems, pageSize, currentPage, }: PaginationState) => PaginationMeta;
